--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (*block_args)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a new Transaction
- !ruby/struct:SM::Flow::P 
  body: "@see Transaction#link"
- !ruby/struct:SM::Flow::P 
  body: "In fact, it just calls #link with the given arguments at the end of the constructor."
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Transaction::new
is_singleton: true
name: new
params: (*things) {|*block_args| ...}
visibility: public
